
@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);

form {
    .display-none{
        display: none !important;
    }
    text-align:left ;
    label{
        padding:$normalPadding 0;
        transition:  all 1000ms;
        font-size: 1.3rem;
    }
    .input-error{
        font-size: 1.3rem;
        font-weight: bolder;
        color: $red;
        text-decoration: none !important;
        background-color: transparent !important;
    }
    input{
        font-size: 1.1rem;
        padding: 10px !important;
        margin: 10px 0;
        width: 80%;
        transition:  all 1000ms;
        @include border();
        &.error{
            background-color: $red;
        }

        padding: $smallPadding;
        transition:  all 1000ms;
    }
    input[type=submit]{
        &:hover{
            cursor: pointer;
        }
        background-color:$black;
        color:$white;
        padding: $normalPadding;
        font-size: $fontNormal;
        margin-top: $normalMargin;
        border-radius: 2px;
        border:1px solid $black;
        transition:  all 1000ms;
    }

}
.address-forms{
    position: absolute;
    .address-forms-message{
        position: sticky !important ;
        top:0;
        color: $red !important;
        text-decoration: none !important ;
        border: solid 1px $black;
    }
    width:50% ;
    background-color: $secondBackground;
    @include flexBox(column);
    .confirm-address{
        
        width:100%;
        @include flexBox();
        div{
            width: 100%;
        }
        button{
            border-radius: 2px;
            width: 100% !important;
            height: 50px;
            background-color: $black;
            color:$white;
            transition: all 1000ms;
            font-size: 1.5rem;
            &:hover{
    
                width: 255px;
                height: 60px;
                font-size: 1.6rem;
                transition: all 500ms;
            }
        }

    }

    

    p{
        padding: $normalPadding;
        text-decoration: underline;
        font-size: 1.3rem;
        background-color: $white;
        cursor: pointer;
    }
    .button-address-confirm{
        &:hover{
            cursor: pointer;
        }
        background-color: $black !important;
        color: $white !important;
        text-decoration: none !important;
        border-radius: 5px !important;
        margin: 15px !important;
    }
    .form-disabled{
        form{
            text-align: center;
            transition:  all 1000ms;
            input{
         
                text-transform: capitalize;
                text-align: center;
                padding: $smallPadding !important;
                margin: 0px !important;
                width: 50%;
                background-color: $secondBackground;
                border: none;
                color: $black !important;
                transition:  all 1000ms;
            }
            label{
                width: 70%;
                padding: 5px !important;
                text-transform: uppercase;
                transition:  all 1000ms;
            }
            .checkbox-city{
                
                display: none;
                transition:  all 1000ms;
            }
            .city-name{
                text-transform: capitalize;
                transition:  all 1000ms;
            }
        }
        
    }
    .add-address-form{
        @include flexBox(column);
        .loading-form-address{
            display: flex;
            justify-content: center;
            margin: 50px;
            height: 20px !important;
        }
        .input-error{
            font-size: 1.3rem;
            font-weight: bolder;
            color: $red;
            text-decoration: none !important;
            background-color: transparent !important;
        }
 
        .button-address-confirm{
            &:hover{
                cursor: pointer;
            }
            background-color: $black !important;
            color: $white !important;
            text-decoration: none !important;
            border-radius: 5px !important;
            margin: 15px !important;
        }
        width: 90%;
        padding: 0 $normalPadding;
        transition:  all 1000ms;
        input{
            width: 90%;
        }
        .checkbox-city{
            margin-right:10px;
        }
        h3{
            @include fontSubtitle();
            border-bottom: 1px solid $black;
        }

        form{
            
           
            div{
                width: 100%;
                transition:  all 1000ms;
            }
            width: 100%;
            transition:  all 1000ms;
            .city-container{
                width: 100%;
             
                div{
                    
                   input{
                       width: 20px;
                   }
                    @include flexBox(row-reverse,flex-end,center)
                }
                
            }
            label{
                width: 100%;
            }
            @include flexBox(column, flex-start,center);
            
 
            
        }
       
    }
    
    
    
   
}
.login-form{
    .from-error-field{
        color: $red;
    }
    padding: $normalPadding;
  
        div{
            @include flexBox();
        }
    
    form{
        .form-remark{
            display: block;
        }
        select{
            width: 85%;
            height: 38px    ;
            font-size: 1.1rem;
        }
        .register-checkbox{
            padding-left: 40px;
            display:flex;
            flex-direction: row-reverse;
            justify-content: flex-end;
            align-self: flex-start;
            input{
                width: 10% !important;
                -ms-transform: scale(2); /* IE */
                -moz-transform: scale(2); /* FF */
                -webkit-transform: scale(2); /* Safari and Chrome */
                -o-transform: scale(2); /* Opera */
                transform: scale(2);
                padding: 10px;
            }
            label{
                width: 90% !important;
                text-align: left;
            }
        }

        width: 100%;
        label{
            font-weight: 1.4rem;
            font-weight: bolder;
            text-align: center;
            width: 100%;
        }
        div{
   
            width: 100%;
        }
        @include flexBox(column, flex-start,center);
        input{
            width:80% ;
            
            
        }
    }
    
}
